// =====================================================================
//  filter.h
// =====================================================================

//  Author:         (c) 2013 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        July 7, 2013

//  Last changed:   $Date: 2013/07/07 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $


#ifndef __FILTER__
#define __FILTER__

#ifdef DOUBLE_FILTER
typedef double FT;
#else
typedef char FT;
#endif

void trim_mask(unsigned char* mask, int rows, int cols);

void filter_conv(unsigned char* img_in, 
                 unsigned char* img_out, 
                 unsigned char* mask, 
                 FT filter[25],
                 double factor, double bias,
                 int rows, int cols);

#endif


// Copyright (C) 2013 Camil Demetrescu

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
