// =====================================================================
//  main.c
// =====================================================================

//  Author:         (c) 2013 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        July 7, 2013

//  Last changed:   $Date: 2013/07/07 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $


#include <stdio.h>
#include <stdlib.h>
#include "pgm.h"


// ---------------------------------------------------------------------
// main
// ---------------------------------------------------------------------
int main(int argc, char** argv) {
    
    unsigned char *img;
    int rows, cols, i;

    // check input parameters
    if (argc < 3) {
        fprintf(stderr,"Syntax: %s in-file out-file", argv[0]);
        return 1;
    }

    // load image
    if (pgm_load(&img, &rows, &cols, argv[1])) {
        fprintf(stderr,"*** Error loading image %s\n", argv[1]);
        return 1;
    }
    
    for (i=0; i<rows*cols; i++) img[i] = 255 - img[i];

    // save image
    if (pgm_save(img, rows, cols, argv[2])) {
        fprintf(stderr,"*** Error saving image %s\n", argv[2]);
        free(img);
        return 1;
    }

    free(img);
    
    return 0;
}


// Copyright (C) 2013 Camil Demetrescu

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
